Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.servlets.jsp.taglib
Class GetUserNamesForGroupTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
                  |
                  +--com.bea.p13n.usermgmt.servlets.jsp.taglib.GetUserNamesForGroupTag

public class GetUserNamesForGroupTag
extends UserManagementTag

Corresponds to `<um:getUsernamesForGroup>`.

The `<um:getUsernamesForGroup>` tag retrieves a String array that contains the usernames matching the provided search expression and correspond to members of the provided group. The search expression supports only the asterisk (*) wildcard character, and is case insensitive. As many asterisks as desired may be used in the search expression. The tag has no enclosed body.

The limit parameter will control how many results are returned; if the number of results returned equals the limit passed in, try refining the search.

Tag Attribute | Required | Type | Description
searchExp | no | String | The search expression to apply to the user name search. Defaults to "*". Example: "`t*`"
groupName | yes | String | The name of the group whose matching members are sought. Example: "`Engineering`"
userLimit | no | String (representing an Integer) | The maximum number of users to be returned from the search. (String which has a particular `Integer.valueOf`) Defaults to 100. Example: "`500`"
id | yes | String | A variable name to which the resultant user names are assigned. Example: "myUsers"
result | no | String | A variable name to which a constant describing the outcome of the operation will be assigned that can later be evaluated to see if the operation was successful. Possible Values: Success: `UserManagerTagConstants.USER_SEARCH_OK` Error encountered: `UserManagerTagConstants.USER_SEARCH_FAILED` Example: "`if(result.intValue() == UserManagerTagConstants.USER_SEARCH_OK) // proceed`"

See Also:
  Serialized Form

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`GROUP_MGR_REF, USER_MGR_REF`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`GetUserNamesForGroupTag()`

Method Summary
`int` | `doStartTag()` Go through the UserManager session bean to retrieve the usernames
`java.lang.String` | `getGroupName()` Get the name of the group to query
`java.lang.String` | `getResult()` Get the name of the variable to assign the result to
`java.lang.String` | `getSearchExp()` Get the search expression
`int` | `getUserLimit()` Get the limit of users to return
`void` | `release()` Reset the tag's attributes
`void` | `setGroupName(java.lang.String groupName)` Set the name of the group to query
`void` | `setResult(java.lang.String result)` Set the name of the variable to assign the result to
`void` | `setSearchExp(java.lang.String searchExp)` Set the search expression
`void` | `setUserLimit(int userLimit)` Set the limit of users to return
`void` | `setUserLimit(java.lang.String userLimit)` Set the limit of users to return

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`getGroupManager, getUserManager`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetUserNamesForGroupTag

    public GetUserNamesForGroupTag()

Method Detail

### release

    public void release()

  Reset the tag's attributes

  Overrides:
    release in class UserManagementTag

### doStartTag

    public int doStartTag()

  Go through the UserManager session bean to retrieve the usernames

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### getGroupName

    public java.lang.String getGroupName()

  Get the name of the group to query

### setGroupName

    public void setGroupName(java.lang.String groupName)

  Set the name of the group to query

### getUserLimit

    public int getUserLimit()

  Get the limit of users to return

### setUserLimit

    public void setUserLimit(java.lang.String userLimit)

  Set the limit of users to return

### setUserLimit

    public void setUserLimit(int userLimit)

  Set the limit of users to return

### getSearchExp

    public java.lang.String getSearchExp()

  Get the search expression

### setSearchExp

    public void setSearchExp(java.lang.String searchExp)

  Set the search expression

### getResult

    public java.lang.String getResult()

  Get the name of the variable to assign the result to

### setResult

    public void setResult(java.lang.String result)

  Set the name of the variable to assign the result to

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved